[Unit]
Description=NGINX AutoBan Service
After=network.target redis-server.service nginx.service

[Service]
Type=simple
User=root
Group=root
WorkingDirectory=/opt/autoban
ExecStart=/opt/autoban/venv/bin/python3 /opt/autoban/app.py
Restart=always
RestartSec=5
Environment=PATH=/opt/autoban/venv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
Environment=PYTHONPATH=/opt/autoban

[Install]
WantedBy=multi-user.target
